# Proto

Protobuf files used to generate cosmos/evmos transactions.

## Convert protobuf to Eth Transaction

Example on how to convert protobuf message -> ethereum tx [here]('./tests/messages/msgEthereumTx.spec.ts')

## Local generation

Requirements:

- `brew install protoc`
- `npm install -g protoc-gen-ts`

To generate the protobuf files on linux instead of OSX, remove the empty string after `sed -i ''`

```sh
./scripts/get_proto_files.sh
./scripts/create_proto_files.sh
./scripts/remove_grpc.sh
./scripts/remove_unused_dependencies.sh
```

## Note

The lib `@grpc/grpc-js` was not included in the `package.json`, and all the services were manually removed from the autogenerated proto files to avoid having that dependency.
This lib is just a tool to create the transactions, not to interact with a GRPC server, if you need the complete proto file you can locally run `./scripts/get_proto_files.sh` and `./scripts/create_proto_files.sh`
